# Language ID Table

The following table was compiled by me based on Unicode CLDR[^1] and other resources while working on another project.

[^1]: [Unicode License](https://github.com/unicode-org/cldr-json/blob/fb61c0afc2b49264b32d5d7bae6f660dd2ebee34/LICENSE)

If you would like to improve the L10n(localization/localisation) for this project, you can refer to this table.

If your language is not included in this table, please feel free to report an issue.

| LangID     | Maximized    | Description                                           |
| ---------- | ------------ | ----------------------------------------------------- |
| af         | af-Latn-ZA   | Afrikaans, Latyn, Suid-Afrika                         |
| af-NA      | af-Latn-NA   | Afrikaans, Latyn, Namibië                             |
| agq        | agq-Latn-CM  | Aghem, Latn, Kàmàlûŋ                                  |
| ak         | ak-Latn-GH   | Akan, Latn, Gaana                                     |
| am         | am-Ethi-ET   | አማርኛ, ኢትዮፒክ, ኢትዮጵያ                                    |
| ann        | ann-Latn-NG  | Obolo, Latn, NG                                       |
| ar         | ar-Arab-EG   | العربية, العربية, مصر                                 |
| ar-AE      | ar-Arab-AE   | العربية, العربية, الإمارات العربية المتحدة            |
| ar-BH      | ar-Arab-BH   | العربية, العربية, البحرين                             |
| ar-DJ      | ar-Arab-DJ   | العربية, العربية, جيبوتي                              |
| ar-DZ      | ar-Arab-DZ   | العربية, العربية, الجزائر                             |
| ar-EG      | ar-Arab-EG   | العربية, العربية, مصر                                 |
| ar-EH      | ar-Arab-EH   | العربية, العربية, الصحراء الغربية                     |
| ar-ER      | ar-Arab-ER   | العربية, العربية, إريتريا                             |
| ar-IL      | ar-Arab-IL   | العربية, العربية, إسرائيل                             |
| ar-IQ      | ar-Arab-IQ   | العربية, العربية, العراق                              |
| ar-JO      | ar-Arab-JO   | العربية, العربية, الأردن                              |
| ar-KM      | ar-Arab-KM   | العربية, العربية, جزر القمر                           |
| ar-KW      | ar-Arab-KW   | العربية, العربية, الكويت                              |
| ar-LB      | ar-Arab-LB   | العربية, العربية, لبنان                               |
| ar-LY      | ar-Arab-LY   | العربية, العربية, ليبيا                               |
| ar-MA      | ar-Arab-MA   | العربية, العربية, المغرب                              |
| ar-MR      | ar-Arab-MR   | العربية, العربية, موريتانيا                           |
| ar-OM      | ar-Arab-OM   | العربية, العربية, عُمان                               |
| ar-PS      | ar-Arab-PS   | العربية, العربية, الأراضي الفلسطينية                  |
| ar-QA      | ar-Arab-QA   | العربية, العربية, قطر                                 |
| ar-SA      | ar-Arab-SA   | العربية, العربية, المملكة العربية السعودية            |
| ar-SD      | ar-Arab-SD   | العربية, العربية, السودان                             |
| ar-SO      | ar-Arab-SO   | العربية, العربية, الصومال                             |
| ar-SS      | ar-Arab-SS   | العربية, العربية, جنوب السودان                        |
| ar-SY      | ar-Arab-SY   | العربية, العربية, سوريا                               |
| ar-TD      | ar-Arab-TD   | العربية, العربية, تشاد                                |
| ar-TN      | ar-Arab-TN   | العربية, العربية, تونس                                |
| ar-YE      | ar-Arab-YE   | العربية, العربية, اليمن                               |
| as         | as-Beng-IN   | অসমীয়া, বাংলা, ভাৰত                                  |
| asa        | asa-Latn-TZ  | Kipare, Latn, Tadhania                                |
| ast        | ast-Latn-ES  | asturianu, llatín, España                             |
| az         | az-Latn-AZ   | azərbaycan, latın, Azərbaycan                         |
| az-Cyrl    | az-Cyrl-AZ   | азәрбајҹан, Кирил, Азәрбајҹан                         |
| az-Latn    | az-Latn-AZ   | azərbaycan, latın, Azərbaycan                         |
| bas        | bas-Latn-CM  | Ɓàsàa, Latn, Kàmɛ̀rûn                                  |
| be         | be-Cyrl-BY   | беларуская, кірыліца, Беларусь                        |
| bem        | bem-Latn-ZM  | Ichibemba, Latn, Zambia                               |
| bez        | bez-Latn-TZ  | Hibena, Latn, Hutanzania                              |
| bg         | bg-Cyrl-BG   | български, кирилица, България                         |
| bgc        | bgc-Deva-IN  | हरियाणवी, देवानागारी, भारत                            |
| bho        | bho-Deva-IN  | भोजपुरी, देवानागारी, भारत                             |
| bm         | bm-Latn-ML   | bamanakan, Latn, Mali                                 |
| bn         | bn-Beng-BD   | বাংলা, বাংলা, বাংলাদেশ                                |
| bn-IN      | bn-Beng-IN   | বাংলা, বাংলা, ভারত                                    |
| bo         | bo-Tibt-CN   | བོད་སྐད་, བོད་ཡིག་, རྒྱ་ནག                            |
| bo-IN      | bo-Tibt-IN   | བོད་སྐད་, བོད་ཡིག་, རྒྱ་གར་                           |
| br         | br-Latn-FR   | brezhoneg, latin, Frañs                               |
| brx        | brx-Deva-IN  | बर’, देबनागिरि, भारत                                  |
| bs         | bs-Latn-BA   | bosanski, latinica, Bosna i Hercegovina               |
| bs-Cyrl    | bs-Cyrl-BA   | босански, ћирилица, Босна и Херцеговина               |
| bs-Latn    | bs-Latn-BA   | bosanski, latinica, Bosna i Hercegovina               |
| ca         | ca-Latn-ES   | català, llatí, Espanya                                |
| ca-AD      | ca-Latn-AD   | català, llatí, Andorra                                |
| ca-FR      | ca-Latn-FR   | català, llatí, França                                 |
| ca-IT      | ca-Latn-IT   | català, llatí, Itàlia                                 |
| ccp        | ccp-Cakm-BD  | 𑄌𑄋𑄴𑄟𑄳𑄦, 𑄌𑄇𑄴𑄟, 𑄝𑄁𑄣𑄘𑄬𑄌𑄴                                 |
| ccp-IN     | ccp-Cakm-IN  | 𑄌𑄋𑄴𑄟𑄳𑄦, 𑄌𑄇𑄴𑄟, 𑄞𑄢𑄧𑄖𑄴                                   |
| ce         | ce-Cyrl-RU   | нохчийн, кириллица, Росси                             |
| ceb        | ceb-Latn-PH  | Cebuano, Latin, Pilipinas                             |
| cgg        | cgg-Latn-UG  | Rukiga, Latn, Uganda                                  |
| chr        | chr-Cher-US  | ᏣᎳᎩ, ᏣᎳᎩ, ᏌᏊ ᎢᏳᎾᎵᏍᏔᏅ ᏍᎦᏚᎩ                             |
| ckb        | ckb-Arab-IQ  | کوردیی ناوەندی, عەرەبی, عێراق                         |
| ckb-IR     | ckb-Arab-IR  | کوردیی ناوەندی, عەرەبی, ئێران                         |
| cs         | cs-Latn-CZ   | čeština, latinka, Česko                               |
| cv         | cv-Cyrl-RU   | чӑваш, кириллица, Раҫҫей                              |
| cy         | cy-Latn-GB   | Cymraeg, Lladin, Y Deyrnas Unedig                     |
| da         | da-Latn-DK   | dansk, latinsk, Danmark                               |
| da-GL      | da-Latn-GL   | dansk, latinsk, Grønland                              |
| dav        | dav-Latn-KE  | Kitaita, Latn, Kenya                                  |
| de         | de-Latn-DE   | Deutsch, Lateinisch, Deutschland                      |
| de-AT      | de-Latn-AT   | Deutsch, Lateinisch, Österreich                       |
| de-BE      | de-Latn-BE   | Deutsch, Lateinisch, Belgien                          |
| de-CH      | de-Latn-CH   | Deutsch, Lateinisch, Schweiz                          |
| de-IT      | de-Latn-IT   | Deutsch, Lateinisch, Italien                          |
| de-LI      | de-Latn-LI   | Deutsch, Lateinisch, Liechtenstein                    |
| de-LU      | de-Latn-LU   | Deutsch, Lateinisch, Luxemburg                        |
| dje        | dje-Latn-NE  | Zarmaciine, Latn, Nižer                               |
| doi        | doi-Deva-IN  | डोगरी, देवनागरी, भारत                                 |
| dsb        | dsb-Latn-DE  | dolnoserbšćina, łatyński, Nimska                      |
| dua        | dua-Latn-CM  | duálá, Latn, Cameroun                                 |
| dyo        | dyo-Latn-SN  | joola, Latn, Senegal                                  |
| dz         | dz-Tibt-BT   | རྫོང་ཁ, ང་བཅས་ཀྱི་ཡིག་གུ, འབྲུག                       |
| ebu        | ebu-Latn-KE  | Kĩembu, Latn, Kenya                                   |
| ee         | ee-Latn-GH   | Eʋegbe, Latingbeŋɔŋlɔ, Ghana nutome                   |
| ee-TG      | ee-Latn-TG   | Eʋegbe, Latingbeŋɔŋlɔ, Togo nutome                    |
| el         | el-Grek-GR   | Ελληνικά, Ελληνικό, Ελλάδα                            |
| el-CY      | el-Grek-CY   | Ελληνικά, Ελληνικό, Κύπρος                            |
| en         | en-Latn-US   | English, Latin, United States                         |
| en-001     | en-Latn-001  | English, Latin, world                                 |
| en-150     | en-Latn-150  | English, Latin, Europe                                |
| en-AE      | en-Latn-AE   | English, Latin, United Arab Emirates                  |
| en-AG      | en-Latn-AG   | English, Latin, Antigua & Barbuda                     |
| en-AI      | en-Latn-AI   | English, Latin, Anguilla                              |
| en-AS      | en-Latn-AS   | English, Latin, American Samoa                        |
| en-AT      | en-Latn-AT   | English, Latin, Austria                               |
| en-AU      | en-Latn-AU   | English, Latin, Australia                             |
| en-BB      | en-Latn-BB   | English, Latin, Barbados                              |
| en-BE      | en-Latn-BE   | English, Latin, Belgium                               |
| en-BI      | en-Latn-BI   | English, Latin, Burundi                               |
| en-BM      | en-Latn-BM   | English, Latin, Bermuda                               |
| en-BS      | en-Latn-BS   | English, Latin, Bahamas                               |
| en-BW      | en-Latn-BW   | English, Latin, Botswana                              |
| en-BZ      | en-Latn-BZ   | English, Latin, Belize                                |
| en-CA      | en-Latn-CA   | English, Latin, Canada                                |
| en-CC      | en-Latn-CC   | English, Latin, Cocos (Keeling) Islands               |
| en-CH      | en-Latn-CH   | English, Latin, Switzerland                           |
| en-CK      | en-Latn-CK   | English, Latin, Cook Islands                          |
| en-CM      | en-Latn-CM   | English, Latin, Cameroon                              |
| en-CX      | en-Latn-CX   | English, Latin, Christmas Island                      |
| en-CY      | en-Latn-CY   | English, Latin, Cyprus                                |
| en-DE      | en-Latn-DE   | English, Latin, Germany                               |
| en-DG      | en-Latn-DG   | English, Latin, Diego Garcia                          |
| en-DK      | en-Latn-DK   | English, Latin, Denmark                               |
| en-DM      | en-Latn-DM   | English, Latin, Dominica                              |
| en-ER      | en-Latn-ER   | English, Latin, Eritrea                               |
| en-FI      | en-Latn-FI   | English, Latin, Finland                               |
| en-FJ      | en-Latn-FJ   | English, Latin, Fiji                                  |
| en-FK      | en-Latn-FK   | English, Latin, Falkland Islands                      |
| en-FM      | en-Latn-FM   | English, Latin, Micronesia                            |
| en-GB      | en-Latn-GB   | English, Latin, United Kingdom                        |
| en-GD      | en-Latn-GD   | English, Latin, Grenada                               |
| en-GG      | en-Latn-GG   | English, Latin, Guernsey                              |
| en-GH      | en-Latn-GH   | English, Latin, Ghana                                 |
| en-GI      | en-Latn-GI   | English, Latin, Gibraltar                             |
| en-GM      | en-Latn-GM   | English, Latin, Gambia                                |
| en-GU      | en-Latn-GU   | English, Latin, Guam                                  |
| en-GY      | en-Latn-GY   | English, Latin, Guyana                                |
| en-HK      | en-Latn-HK   | English, Latin, Hong Kong SAR China                   |
| en-IE      | en-Latn-IE   | English, Latin, Ireland                               |
| en-IL      | en-Latn-IL   | English, Latin, Israel                                |
| en-IM      | en-Latn-IM   | English, Latin, Isle of Man                           |
| en-IN      | en-Latn-IN   | English, Latin, India                                 |
| en-IO      | en-Latn-IO   | English, Latin, British Indian Ocean Territory        |
| en-JE      | en-Latn-JE   | English, Latin, Jersey                                |
| en-JM      | en-Latn-JM   | English, Latin, Jamaica                               |
| en-KE      | en-Latn-KE   | English, Latin, Kenya                                 |
| en-KI      | en-Latn-KI   | English, Latin, Kiribati                              |
| en-KN      | en-Latn-KN   | English, Latin, St Kitts & Nevis                      |
| en-KY      | en-Latn-KY   | English, Latin, Cayman Islands                        |
| en-LC      | en-Latn-LC   | English, Latin, St Lucia                              |
| en-LR      | en-Latn-LR   | English, Latin, Liberia                               |
| en-LS      | en-Latn-LS   | English, Latin, Lesotho                               |
| en-MG      | en-Latn-MG   | English, Latin, Madagascar                            |
| en-MH      | en-Latn-MH   | English, Latin, Marshall Islands                      |
| en-MO      | en-Latn-MO   | English, Latin, Macao SAR China                       |
| en-MP      | en-Latn-MP   | English, Latin, Northern Mariana Islands              |
| en-MS      | en-Latn-MS   | English, Latin, Montserrat                            |
| en-MT      | en-Latn-MT   | English, Latin, Malta                                 |
| en-MU      | en-Latn-MU   | English, Latin, Mauritius                             |
| en-MV      | en-Latn-MV   | English, Latin, Maldives                              |
| en-MW      | en-Latn-MW   | English, Latin, Malawi                                |
| en-MY      | en-Latn-MY   | English, Latin, Malaysia                              |
| en-NA      | en-Latn-NA   | English, Latin, Namibia                               |
| en-NF      | en-Latn-NF   | English, Latin, Norfolk Island                        |
| en-NG      | en-Latn-NG   | English, Latin, Nigeria                               |
| en-NL      | en-Latn-NL   | English, Latin, Netherlands                           |
| en-NR      | en-Latn-NR   | English, Latin, Nauru                                 |
| en-NU      | en-Latn-NU   | English, Latin, Niue                                  |
| en-NZ      | en-Latn-NZ   | English, Latin, New Zealand                           |
| en-PG      | en-Latn-PG   | English, Latin, Papua New Guinea                      |
| en-PH      | en-Latn-PH   | English, Latin, Philippines                           |
| en-PK      | en-Latn-PK   | English, Latin, Pakistan                              |
| en-PN      | en-Latn-PN   | English, Latin, Pitcairn Islands                      |
| en-PR      | en-Latn-PR   | English, Latin, Puerto Rico                           |
| en-PW      | en-Latn-PW   | English, Latin, Palau                                 |
| en-RW      | en-Latn-RW   | English, Latin, Rwanda                                |
| en-SB      | en-Latn-SB   | English, Latin, Solomon Islands                       |
| en-SC      | en-Latn-SC   | English, Latin, Seychelles                            |
| en-SD      | en-Latn-SD   | English, Latin, Sudan                                 |
| en-SE      | en-Latn-SE   | English, Latin, Sweden                                |
| en-SG      | en-Latn-SG   | English, Latin, Singapore                             |
| en-SH      | en-Latn-SH   | English, Latin, St Helena                             |
| en-SI      | en-Latn-SI   | English, Latin, Slovenia                              |
| en-SL      | en-Latn-SL   | English, Latin, Sierra Leone                          |
| en-SS      | en-Latn-SS   | English, Latin, South Sudan                           |
| en-SX      | en-Latn-SX   | English, Latin, Sint Maarten                          |
| en-SZ      | en-Latn-SZ   | English, Latin, Eswatini                              |
| en-TC      | en-Latn-TC   | English, Latin, Turks & Caicos Islands                |
| en-TK      | en-Latn-TK   | English, Latin, Tokelau                               |
| en-TO      | en-Latn-TO   | English, Latin, Tonga                                 |
| en-TT      | en-Latn-TT   | English, Latin, Trinidad & Tobago                     |
| en-TV      | en-Latn-TV   | English, Latin, Tuvalu                                |
| en-TZ      | en-Latn-TZ   | English, Latin, Tanzania                              |
| en-UG      | en-Latn-UG   | English, Latin, Uganda                                |
| en-UM      | en-Latn-UM   | English, Latin, U.S. Outlying Islands                 |
| en-VC      | en-Latn-VC   | English, Latin, St Vincent & the Grenadines           |
| en-VG      | en-Latn-VG   | English, Latin, British Virgin Islands                |
| en-VI      | en-Latn-VI   | English, Latin, U.S. Virgin Islands                   |
| en-VU      | en-Latn-VU   | English, Latin, Vanuatu                               |
| en-WS      | en-Latn-WS   | English, Latin, Samoa                                 |
| en-ZA      | en-Latn-ZA   | English, Latin, South Africa                          |
| en-ZM      | en-Latn-ZM   | English, Latin, Zambia                                |
| en-ZW      | en-Latn-ZW   | English, Latin, Zimbabwe                              |
| eo         | eo-Latn-001  | esperanto, Latn, Mondo                                |
| es         | es-Latn-ES   | español, latino, España                               |
| es-419     | es-Latn-419  | español, latín, Latinoamérica                         |
| es-AR      | es-Latn-AR   | español, latín, Argentina                             |
| es-BO      | es-Latn-BO   | español, latín, Bolivia                               |
| es-BR      | es-Latn-BR   | español, latín, Brasil                                |
| es-BZ      | es-Latn-BZ   | español, latín, Belice                                |
| es-CL      | es-Latn-CL   | español, latín, Chile                                 |
| es-CO      | es-Latn-CO   | español, latín, Colombia                              |
| es-CR      | es-Latn-CR   | español, latín, Costa Rica                            |
| es-CU      | es-Latn-CU   | español, latín, Cuba                                  |
| es-DO      | es-Latn-DO   | español, latín, República Dominicana                  |
| es-EA      | es-Latn-EA   | español, latino, Ceuta y Melilla                      |
| es-EC      | es-Latn-EC   | español, latín, Ecuador                               |
| es-GQ      | es-Latn-GQ   | español, latino, Guinea Ecuatorial                    |
| es-GT      | es-Latn-GT   | español, latín, Guatemala                             |
| es-HN      | es-Latn-HN   | español, latín, Honduras                              |
| es-IC      | es-Latn-IC   | español, latino, Canarias                             |
| es-MX      | es-Latn-MX   | español, latín, México                                |
| es-NI      | es-Latn-NI   | español, latín, Nicaragua                             |
| es-PA      | es-Latn-PA   | español, latín, Panamá                                |
| es-PE      | es-Latn-PE   | español, latín, Perú                                  |
| es-PH      | es-Latn-PH   | español, latino, Filipinas                            |
| es-PR      | es-Latn-PR   | español, latín, Puerto Rico                           |
| es-PY      | es-Latn-PY   | español, latín, Paraguay                              |
| es-SV      | es-Latn-SV   | español, latín, El Salvador                           |
| es-US      | es-Latn-US   | español, latín, Estados Unidos                        |
| es-UY      | es-Latn-UY   | español, latín, Uruguay                               |
| es-VE      | es-Latn-VE   | español, latín, Venezuela                             |
| et         | et-Latn-EE   | eesti, ladina, Eesti                                  |
| eu         | eu-Latn-ES   | euskara, latinoa, Espainia                            |
| ewo        | ewo-Latn-CM  | ewondo, Latn, Kamərún                                 |
| fa         | fa-Arab-IR   | فارسی, عربی, ایران                                    |
| fa-AF      | fa-Arab-AF   | فارسی, عربی, افغانستان                                |
| ff         | ff-Latn-SN   | Pulaar, Latn, Senegaal                                |
| ff-Adlm    | ff-Adlm-GN   | 𞤆𞤵𞤤𞤢𞤪, 𞤀𞤁𞤂𞤢𞤃, 𞤘𞤭𞤲𞤫                                    |
| ff-Adlm-BF | ff-Adlm-BF   | 𞤆𞤵𞤤𞤢𞤪, 𞤀𞤁𞤂𞤢𞤃, 𞤄𞤵𞤪𞤳𞤭𞤲𞤢 𞤊𞤢𞤧𞤮𞥅                           |
| ff-Adlm-CM | ff-Adlm-CM   | 𞤆𞤵𞤤𞤢𞤪, 𞤀𞤁𞤂𞤢𞤃, 𞤑𞤢𞤥𞤢𞤪𞤵𞥅𞤲                                |
| ff-Adlm-GH | ff-Adlm-GH   | 𞤆𞤵𞤤𞤢𞤪, 𞤀𞤁𞤂𞤢𞤃, 𞤘𞤢𞤲𞤢                                    |
| ff-Adlm-GM | ff-Adlm-GM   | 𞤆𞤵𞤤𞤢𞤪, 𞤀𞤁𞤂𞤢𞤃, 𞤘𞤢𞤥𞤦𞤭𞤴𞤢                                 |
| ff-Adlm-GW | ff-Adlm-GW   | 𞤆𞤵𞤤𞤢𞤪, 𞤀𞤁𞤂𞤢𞤃, 𞤘𞤭𞤲𞤫-𞤄𞤭𞤧𞤢𞤱𞤮𞥅                            |
| ff-Adlm-LR | ff-Adlm-LR   | 𞤆𞤵𞤤𞤢𞤪, 𞤀𞤁𞤂𞤢𞤃, 𞤂𞤢𞤦𞤭𞤪𞤭𞤴𞤢𞥄                               |
| ff-Adlm-MR | ff-Adlm-MR   | 𞤆𞤵𞤤𞤢𞤪, 𞤀𞤁𞤂𞤢𞤃, 𞤃𞤮𞤪𞤼𞤢𞤲𞤭𞥅                                |
| ff-Adlm-NE | ff-Adlm-NE   | 𞤆𞤵𞤤𞤢𞤪, 𞤀𞤁𞤂𞤢𞤃, 𞤐𞤭𞥅𞤶𞤫𞤪                                  |
| ff-Adlm-NG | ff-Adlm-NG   | 𞤆𞤵𞤤𞤢𞤪, 𞤀𞤁𞤂𞤢𞤃, 𞤐𞤢𞤶𞤫𞤪𞤭𞤴𞤢𞥄                               |
| ff-Adlm-SL | ff-Adlm-SL   | 𞤆𞤵𞤤𞤢𞤪, 𞤀𞤁𞤂𞤢𞤃, 𞤅𞤢𞤪𞤢𞤤𞤮𞤲                                 |
| ff-Adlm-SN | ff-Adlm-SN   | 𞤆𞤵𞤤𞤢𞤪, 𞤀𞤁𞤂𞤢𞤃, 𞤅𞤫𞤲𞤫𞤺𞤢𞥄𞤤                                |
| ff-Latn    | ff-Latn-SN   | Pulaar, Latn, Senegaal                                |
| ff-Latn-BF | ff-Latn-BF   | Pulaar, Latn, Burkibaa Faaso                          |
| ff-Latn-CM | ff-Latn-CM   | Pulaar, Latn, Kameruun                                |
| ff-Latn-GH | ff-Latn-GH   | Pulaar, Latn, Ganaa                                   |
| ff-Latn-GM | ff-Latn-GM   | Pulaar, Latn, Gammbi                                  |
| ff-Latn-GN | ff-Latn-GN   | Pulaar, Latn, Gine                                    |
| ff-Latn-GW | ff-Latn-GW   | Pulaar, Latn, Gine-Bisaawo                            |
| ff-Latn-LR | ff-Latn-LR   | Pulaar, Latn, Liberiyaa                               |
| ff-Latn-MR | ff-Latn-MR   | Pulaar, Latn, Muritani                                |
| ff-Latn-NE | ff-Latn-NE   | Pulaar, Latn, Nijeer                                  |
| ff-Latn-NG | ff-Latn-NG   | Pulaar, Latn, Nijeriyaa                               |
| ff-Latn-SL | ff-Latn-SL   | Pulaar, Latn, Seraa liyon                             |
| fi         | fi-Latn-FI   | suomi, latinalainen, Suomi                            |
| fil        | fil-Latn-PH  | Filipino, Latin, Pilipinas                            |
| fo         | fo-Latn-FO   | føroyskt, latínskt, Føroyar                           |
| fo-DK      | fo-Latn-DK   | føroyskt, latínskt, Danmark                           |
| fr         | fr-Latn-FR   | français, latin, France                               |
| fr-BE      | fr-Latn-BE   | français, latin, Belgique                             |
| fr-BF      | fr-Latn-BF   | français, latin, Burkina Faso                         |
| fr-BI      | fr-Latn-BI   | français, latin, Burundi                              |
| fr-BJ      | fr-Latn-BJ   | français, latin, Bénin                                |
| fr-BL      | fr-Latn-BL   | français, latin, Saint-Barthélemy                     |
| fr-CA      | fr-Latn-CA   | français, latin, Canada                               |
| fr-CD      | fr-Latn-CD   | français, latin, Congo-Kinshasa                       |
| fr-CF      | fr-Latn-CF   | français, latin, République centrafricaine            |
| fr-CG      | fr-Latn-CG   | français, latin, Congo-Brazzaville                    |
| fr-CH      | fr-Latn-CH   | français, latin, Suisse                               |
| fr-CI      | fr-Latn-CI   | français, latin, Côte d’Ivoire                        |
| fr-CM      | fr-Latn-CM   | français, latin, Cameroun                             |
| fr-DJ      | fr-Latn-DJ   | français, latin, Djibouti                             |
| fr-DZ      | fr-Latn-DZ   | français, latin, Algérie                              |
| fr-GA      | fr-Latn-GA   | français, latin, Gabon                                |
| fr-GF      | fr-Latn-GF   | français, latin, Guyane française                     |
| fr-GN      | fr-Latn-GN   | français, latin, Guinée                               |
| fr-GP      | fr-Latn-GP   | français, latin, Guadeloupe                           |
| fr-GQ      | fr-Latn-GQ   | français, latin, Guinée équatoriale                   |
| fr-HT      | fr-Latn-HT   | français, latin, Haïti                                |
| fr-KM      | fr-Latn-KM   | français, latin, Comores                              |
| fr-LU      | fr-Latn-LU   | français, latin, Luxembourg                           |
| fr-MA      | fr-Latn-MA   | français, latin, Maroc                                |
| fr-MC      | fr-Latn-MC   | français, latin, Monaco                               |
| fr-MF      | fr-Latn-MF   | français, latin, Saint-Martin                         |
| fr-MG      | fr-Latn-MG   | français, latin, Madagascar                           |
| fr-ML      | fr-Latn-ML   | français, latin, Mali                                 |
| fr-MQ      | fr-Latn-MQ   | français, latin, Martinique                           |
| fr-MR      | fr-Latn-MR   | français, latin, Mauritanie                           |
| fr-MU      | fr-Latn-MU   | français, latin, Maurice                              |
| fr-NC      | fr-Latn-NC   | français, latin, Nouvelle-Calédonie                   |
| fr-NE      | fr-Latn-NE   | français, latin, Niger                                |
| fr-PF      | fr-Latn-PF   | français, latin, Polynésie française                  |
| fr-PM      | fr-Latn-PM   | français, latin, Saint-Pierre-et-Miquelon             |
| fr-RE      | fr-Latn-RE   | français, latin, La Réunion                           |
| fr-RW      | fr-Latn-RW   | français, latin, Rwanda                               |
| fr-SC      | fr-Latn-SC   | français, latin, Seychelles                           |
| fr-SN      | fr-Latn-SN   | français, latin, Sénégal                              |
| fr-SY      | fr-Latn-SY   | français, latin, Syrie                                |
| fr-TD      | fr-Latn-TD   | français, latin, Tchad                                |
| fr-TG      | fr-Latn-TG   | français, latin, Togo                                 |
| fr-TN      | fr-Latn-TN   | français, latin, Tunisie                              |
| fr-VU      | fr-Latn-VU   | français, latin, Vanuatu                              |
| fr-WF      | fr-Latn-WF   | français, latin, Wallis-et-Futuna                     |
| fr-YT      | fr-Latn-YT   | français, latin, Mayotte                              |
| frr        | frr-Latn-DE  | Nordfriisk, Latn, DE                                  |
| fur        | fur-Latn-IT  | furlan, latin, Italie                                 |
| fy         | fy-Latn-NL   | Frysk, Latyn, Nederlân                                |
| ga         | ga-Latn-IE   | Gaeilge, Laidineach, Éire                             |
| ga-GB      | ga-Latn-GB   | Gaeilge, Laidineach, an Ríocht Aontaithe              |
| gd         | gd-Latn-GB   | Gàidhlig, Laideann, An Rìoghachd Aonaichte            |
| gl         | gl-Latn-ES   | galego, latino, España                                |
| gsw        | gsw-Latn-CH  | Schwiizertüütsch, Latiinisch, Schwiiz                 |
| gsw-FR     | gsw-Latn-FR  | Schwiizertüütsch, Latiinisch, Frankriich              |
| gsw-LI     | gsw-Latn-LI  | Schwiizertüütsch, Latiinisch, Liächteschtäi           |
| gu         | gu-Gujr-IN   | ગુજરાતી, ગુજરાતી, ભારત                                |
| guz        | guz-Latn-KE  | Ekegusii, Latn, Kenya                                 |
| gv         | gv-Latn-IM   | Gaelg, Latn, Ellan Vannin                             |
| ha         | ha-Latn-NG   | Hausa, Latin, Nijeriya                                |
| ha-GH      | ha-Latn-GH   | Hausa, Latin, Gana                                    |
| ha-NE      | ha-Latn-NE   | Hausa, Latin, Nijar                                   |
| haw        | haw-Latn-US  | ʻŌlelo Hawaiʻi, Latn, ʻAmelika Hui Pū ʻIa             |
| he         | he-Hebr-IL   | עברית, עברי, ישראל                                    |
| hi         | hi-Deva-IN   | हिन्दी, देवनागरी, भारत                                |
| hi-Latn    | hi-Latn-IN   | Hindi (Latin), India                                  |
| hr         | hr-Latn-HR   | hrvatski, latinica, Hrvatska                          |
| hr-BA      | hr-Latn-BA   | hrvatski, latinica, Bosna i Hercegovina               |
| hsb        | hsb-Latn-DE  | hornjoserbšćina, łaćonsce, Němska                     |
| hu         | hu-Latn-HU   | magyar, Latin, Magyarország                           |
| hy         | hy-Armn-AM   | հայերեն, հայկական, Հայաստան                           |
| ia         | ia-Latn-001  | interlingua, latin, Mundo                             |
| id         | id-Latn-ID   | Indonesia, Latin, Indonesia                           |
| ig         | ig-Latn-NG   | Igbo, Latin, Naịjịrịa                                 |
| ii         | ii-Yiii-CN   | ꆈꌠꉙ, ꆈꌠꁱꂷ, ꍏꇩ                                |
| is         | is-Latn-IS   | íslenska, latneskt, Ísland                            |
| it         | it-Latn-IT   | italiano, latino, Italia                              |
| it-CH      | it-Latn-CH   | italiano, latino, Svizzera                            |
| it-SM      | it-Latn-SM   | italiano, latino, San Marino                          |
| it-VA      | it-Latn-VA   | italiano, latino, Città del Vaticano                  |
| ja         | ja-Jpan-JP   | 日本語, 日本語の文字, 日本                            |
| jgo        | jgo-Latn-CM  | Ndaꞌa, mík -ŋwaꞌnɛ yi ɛ́ líŋɛ́nɛ Latɛ̂ŋ, Kamɛlûn         |
| jmc        | jmc-Latn-TZ  | Kimachame, Latn, Tanzania                             |
| jv         | jv-Latn-ID   | Jawa, Latin, Indonésia                                |
| ka         | ka-Geor-GE   | ქართული, ქართული, საქართველო                          |
| kab        | kab-Latn-DZ  | Taqbaylit, Latn, Lezzayer                             |
| kam        | kam-Latn-KE  | Kikamba, Latn, Kenya                                  |
| kde        | kde-Latn-TZ  | Chimakonde, Latn, Tanzania                            |
| kea        | kea-Latn-CV  | kabuverdianu, latinu, Kabu Verdi                      |
| kgp        | kgp-Latn-BR  | kanhgág, ratĩnh, Mrasir                               |
| khq        | khq-Latn-ML  | Koyra ciini, Latn, Maali                              |
| ki         | ki-Latn-KE   | Gikuyu, Latn, Kenya                                   |
| kk         | kk-Cyrl-KZ   | қазақ тілі, кирилл жазуы, Қазақстан                   |
| kkj        | kkj-Latn-CM  | kakɔ, Latn, Kamɛrun                                   |
| kl         | kl-Latn-GL   | kalaallisut, Latn, Kalaallit Nunaat                   |
| kln        | kln-Latn-KE  | Kalenjin, Latn, Emetab Kenya                          |
| km         | km-Khmr-KH   | ខ្មែរ, ខ្មែរ, កម្ពុជា                                 |
| kn         | kn-Knda-IN   | ಕನ್ನಡ, ಕನ್ನಡ, ಭಾರತ                                    |
| ko         | ko-Kore-KR   | 한국어, 한국 문자, 대한민국                           |
| ko-KP      | ko-Kore-KP   | 한국어, 한국 문자, 조선민주주의인민공화국             |
| kok        | kok-Deva-IN  | कोंकणी, देवनागरी, भारत                                |
| ks         | ks-Arab-IN   | کٲشُر, عربی, ہِندوستان                                |
| ks-Arab    | ks-Arab-IN   | کٲشُر, عربی, ہِندوستان                                |
| ks-Deva    | ks-Deva-IN   | कॉशुर, देवनागरी, हिंदोस्तान                           |
| ksb        | ksb-Latn-TZ  | Kishambaa, Latn, Tanzania                             |
| ksf        | ksf-Latn-CM  | rikpa, Latn, kamɛrún                                  |
| ksh        | ksh-Latn-DE  | Kölsch, lateinesche Schreff, Doütschland              |
| ku         | ku-Latn-TR   | kurdî, latînî, Tirkiye                                |
| kw         | kw-Latn-GB   | kernewek, Latn, Rywvaneth Unys                        |
| ky         | ky-Cyrl-KG   | кыргызча, Кирилл, Кыргызстан                          |
| lag        | lag-Latn-TZ  | Kɨlaangi, Latn, Taansanía                             |
| lb         | lb-Latn-LU   | Lëtzebuergesch, Laténgesch, Lëtzebuerg                |
| lg         | lg-Latn-UG   | Luganda, Latn, Yuganda                                |
| lkt        | lkt-Latn-US  | Lakȟólʼiyapi, Latn, Mílahaŋska Tȟamákȟočhe            |
| ln         | ln-Latn-CD   | lingála, Latn, Republíki ya Kongó Demokratíki         |
| ln-AO      | ln-Latn-AO   | lingála, Latn, Angóla                                 |
| ln-CF      | ln-Latn-CF   | lingála, Latn, Repibiki ya Afríka ya Káti             |
| ln-CG      | ln-Latn-CG   | lingála, Latn, Kongo                                  |
| lo         | lo-Laoo-LA   | ລາວ, ລາວ, ລາວ                                         |
| lrc        | lrc-Arab-IR  | لۊری شومالی, عأرأڤی, IR                               |
| lrc-IQ     | lrc-Arab-IQ  | لۊری شومالی, عأرأڤی, IQ                               |
| lt         | lt-Latn-LT   | lietuvių, lotynų, Lietuva                             |
| lu         | lu-Latn-CD   | Tshiluba, Latn, Ditunga wa Kongu                      |
| luo        | luo-Latn-KE  | Dholuo, Latn, Kenya                                   |
| luy        | luy-Latn-KE  | Luluhia, Latn, Kenya                                  |
| lv         | lv-Latn-LV   | latviešu, latīņu, Latvija                             |
| mai        | mai-Deva-IN  | मैथिली, देवनागरी, भारत                                |
| mas        | mas-Latn-KE  | Maa, Latn, Kenya                                      |
| mas-TZ     | mas-Latn-TZ  | Maa, Latn, Tansania                                   |
| mdf        | mdf-Cyrl-RU  | мокшень кяль, Cyrl, RU                                |
| mer        | mer-Latn-KE  | Kĩmĩrũ, Latn, Kenya                                   |
| mfe        | mfe-Latn-MU  | kreol morisien, Latn, Moris                           |
| mg         | mg-Latn-MG   | Malagasy, Latn, Madagasikara                          |
| mgh        | mgh-Latn-MZ  | Makua, Latn, Umozambiki                               |
| mgo        | mgo-Latn-CM  | metaʼ, ngam ŋwaʼri, Kamalun                           |
| mi         | mi-Latn-NZ   | Māori, Rātina, Aotearoa                               |
| mk         | mk-Cyrl-MK   | македонски, кирилско писмо, Северна Македонија        |
| ml         | ml-Mlym-IN   | മലയാളം, മലയാളം, ഇന്ത്യ                                |
| mn         | mn-Cyrl-MN   | монгол, кирилл, Монгол                                |
| mni        | mni-Beng-IN  | মৈতৈলোন্, বাংলা, ইন্দিয়া                             |
| mni-Beng   | mni-Beng-IN  | মৈতৈলোন্, বাংলা, ইন্দিয়া                             |
| mr         | mr-Deva-IN   | मराठी, देवनागरी, भारत                                 |
| ms         | ms-Latn-MY   | Melayu, Latin, Malaysia                               |
| ms-BN      | ms-Latn-BN   | Melayu, Latin, Brunei                                 |
| ms-ID      | ms-Latn-ID   | Melayu, Latin, Indonesia                              |
| ms-SG      | ms-Latn-SG   | Melayu, Latin, Singapura                              |
| mt         | mt-Latn-MT   | Malti, Latin, Malta                                   |
| mua        | mua-Latn-CM  | MUNDAŊ, Latn, kameruŋ                                 |
| my         | my-Mymr-MM   | မြန်မာ, မြန်မာ, မြန်မာ                                |
| mzn        | mzn-Arab-IR  | مازرونی, عربی, ایران                                  |
| naq        | naq-Latn-NA  | Khoekhoegowab, Latn, Namibiab                         |
| nb         | nb-Latn-NO   | norsk bokmål, latinsk, Norge                          |
| nb-SJ      | nb-Latn-SJ   | norsk bokmål, latinsk, Svalbard og Jan Mayen          |
| nd         | nd-Latn-ZW   | isiNdebele, Latn, Zimbabwe                            |
| nds        | nds-Latn-DE  | nds, Latn, DE                                         |
| nds-NL     | nds-Latn-NL  | nds, Latn, NL                                         |
| ne         | ne-Deva-NP   | नेपाली, देवानागरी, नेपाल                              |
| ne-IN      | ne-Deva-IN   | नेपाली, देवानागरी, भारत                               |
| nl         | nl-Latn-NL   | Nederlands, Latijns, Nederland                        |
| nl-AW      | nl-Latn-AW   | Nederlands, Latijns, Aruba                            |
| nl-BE      | nl-Latn-BE   | Nederlands, Latijns, België                           |
| nl-BQ      | nl-Latn-BQ   | Nederlands, Latijns, Caribisch Nederland              |
| nl-CW      | nl-Latn-CW   | Nederlands, Latijns, Curaçao                          |
| nl-SR      | nl-Latn-SR   | Nederlands, Latijns, Suriname                         |
| nl-SX      | nl-Latn-SX   | Nederlands, Latijns, Sint-Maarten                     |
| nmg        | nmg-Latn-CM  | nmg, Latn, Kamerun                                    |
| nn         | nn-Latn-NO   | norsk nynorsk, latinsk, Noreg                         |
| nnh        | nnh-Latn-CM  | Shwóŋò ngiembɔɔn, Latn, Kàmalûm                       |
| no         | no-Latn-NO   | norsk, latinsk, Norge                                 |
| nus        | nus-Latn-SS  | Thok Nath, Latn, SS                                   |
| nyn        | nyn-Latn-UG  | Runyankore, Latn, Uganda                              |
| oc         | oc-Latn-FR   | oc, Latn, FR                                          |
| oc-ES      | oc-Latn-ES   | oc, Latn, ES                                          |
| om         | om-Latn-ET   | Oromoo, Latin, Itoophiyaa                             |
| om-KE      | om-Latn-KE   | Oromoo, Latin, Keeniyaa                               |
| or         | or-Orya-IN   | ଓଡ଼ିଆ, ଓଡ଼ିଆ, ଭାରତ                                    |
| os         | os-Cyrl-GE   | ирон, Киррилицӕ, Гуырдзыстон                          |
| os-RU      | os-Cyrl-RU   | ирон, Киррилицӕ, Уӕрӕсе                               |
| pa         | pa-Guru-IN   | ਪੰਜਾਬੀ, ਗੁਰਮੁਖੀ, ਭਾਰਤ                                 |
| pa-Arab    | pa-Arab-PK   | پنجابی, عربی, پاکستان                                 |
| pa-Guru    | pa-Guru-IN   | ਪੰਜਾਬੀ, ਗੁਰਮੁਖੀ, ਭਾਰਤ                                 |
| pcm        | pcm-Latn-NG  | Naijíriá Píjin, Látin, Naijíria                       |
| pis        | pis-Latn-SB  | Pijin, Latin, Solomon Aelan                           |
| pl         | pl-Latn-PL   | polski, łacińskie, Polska                             |
| ps         | ps-Arab-AF   | پښتو, عربي, افغانستان                                 |
| ps-PK      | ps-Arab-PK   | پښتو, عربي, پاکستان                                   |
| pt         | pt-Latn-BR   | português, latim, Brasil                              |
| pt-AO      | pt-Latn-AO   | português, latim, Angola                              |
| pt-CH      | pt-Latn-CH   | português, latim, Suíça                               |
| pt-CV      | pt-Latn-CV   | português, latim, Cabo Verde                          |
| pt-GQ      | pt-Latn-GQ   | português, latim, Guiné Equatorial                    |
| pt-GW      | pt-Latn-GW   | português, latim, Guiné-Bissau                        |
| pt-LU      | pt-Latn-LU   | português, latim, Luxemburgo                          |
| pt-MO      | pt-Latn-MO   | português, latim, Macau, RAE da China                 |
| pt-MZ      | pt-Latn-MZ   | português, latim, Moçambique                          |
| pt-PT      | pt-Latn-PT   | português, latim, Portugal                            |
| pt-ST      | pt-Latn-ST   | português, latim, São Tomé e Príncipe                 |
| pt-TL      | pt-Latn-TL   | português, latim, Timor-Leste                         |
| qu         | qu-Latn-PE   | Runasimi, Latin Simi, Perú                            |
| qu-BO      | qu-Latn-BO   | Runasimi, Latin Simi, Bolivia                         |
| qu-EC      | qu-Latn-EC   | Runasimi, Latin Simi, Ecuador                         |
| raj        | raj-Deva-IN  | राजस्थानी, देवनागरी, भारत                             |
| rm         | rm-Latn-CH   | rumantsch, latin, Svizra                              |
| rn         | rn-Latn-BI   | Ikirundi, Latn, Uburundi                              |
| ro         | ro-Latn-RO   | română, latină, România                               |
| ro-MD      | ro-Latn-MD   | română, latină, Republica Moldova                     |
| rof        | rof-Latn-TZ  | Kihorombo, Latn, Tanzania                             |
| ru         | ru-Cyrl-RU   | русский, кириллица, Россия                            |
| ru-BY      | ru-Cyrl-BY   | русский, кириллица, Беларусь                          |
| ru-KG      | ru-Cyrl-KG   | русский, кириллица, Киргизия                          |
| ru-KZ      | ru-Cyrl-KZ   | русский, кириллица, Казахстан                         |
| ru-MD      | ru-Cyrl-MD   | русский, кириллица, Молдова                           |
| ru-UA      | ru-Cyrl-UA   | русский, кириллица, Украина                           |
| rw         | rw-Latn-RW   | Kinyarwanda, Latn, U Rwanda                           |
| rwk        | rwk-Latn-TZ  | Kiruwa, Latn, Tanzania                                |
| sa         | sa-Deva-IN   | संस्कृत भाषा, Deva, भारतः                             |
| sah        | sah-Cyrl-RU  | саха тыла, Нууччалыы, Арассыыйа                       |
| saq        | saq-Latn-KE  | Kisampur, Latn, Kenya                                 |
| sat        | sat-Olck-IN  | ᱥᱟᱱᱛᱟᱲᱤ, ᱚᱞ ᱪᱤᱠᱤ, ᱤᱱᱰᱤᱭᱟ                              |
| sat-Olck   | sat-Olck-IN  | ᱥᱟᱱᱛᱟᱲᱤ, ᱚᱞ ᱪᱤᱠᱤ, ᱤᱱᱰᱤᱭᱟ                              |
| sbp        | sbp-Latn-TZ  | Ishisangu, Latn, Tansaniya                            |
| sc         | sc-Latn-IT   | sardu, latinu, Itàlia                                 |
| sd         | sd-Arab-PK   | سنڌي, عربي, پاڪستان                                   |
| sd-Arab    | sd-Arab-PK   | سنڌي, عربي, پاڪستان                                   |
| sd-Deva    | sd-Deva-IN   | सिन्धी, देवनागिरी, भारत                               |
| se         | se-Latn-NO   | davvisámegiella, láhtenaš, Norga                      |
| se-FI      | se-Latn-FI   | davvisámegiella, láhtenaš, Suopma                     |
| se-SE      | se-Latn-SE   | davvisámegiella, láhtenaš, Ruoŧŧa                     |
| seh        | seh-Latn-MZ  | sena, Latn, Moçambique                                |
| ses        | ses-Latn-ML  | Koyraboro senni, Latn, Maali                          |
| sg         | sg-Latn-CF   | Sängö, Latn, Ködörösêse tî Bêafrîka                   |
| shi        | shi-Tfng-MA  | ⵜⴰⵛⵍⵃⵉⵜ, Tfng, ⵍⵎⵖⵔⵉⴱ                                 |
| shi-Latn   | shi-Latn-MA  | Tashelḥiyt, Latn, lmɣrib                              |
| shi-Tfng   | shi-Tfng-MA  | ⵜⴰⵛⵍⵃⵉⵜ, Tfng, ⵍⵎⵖⵔⵉⴱ                                 |
| si         | si-Sinh-LK   | සිංහල, සිංහල, ශ්‍රී ලංකාව                             |
| sk         | sk-Latn-SK   | slovenčina, latinka, Slovensko                        |
| sl         | sl-Latn-SI   | slovenščina, latinica, Slovenija                      |
| smn        | smn-Latn-FI  | anarâškielâ, Latn, Suomâ                              |
| sms        | sms-Latn-FI  | sms, Latn, FI                                         |
| sn         | sn-Latn-ZW   | chiShona, Latn, Zimbabwe                              |
| so         | so-Latn-SO   | Soomaali, Laatiin, Soomaaliya                         |
| so-DJ      | so-Latn-DJ   | Soomaali, Laatiin, Jabuuti                            |
| so-ET      | so-Latn-ET   | Soomaali, Laatiin, Itoobiya                           |
| so-KE      | so-Latn-KE   | Soomaali, Laatiin, Kenya                              |
| sq         | sq-Latn-AL   | shqip, latin, Shqipëri                                |
| sq-MK      | sq-Latn-MK   | shqip, latin, Maqedonia e Veriut                      |
| sq-XK      | sq-Latn-XK   | shqip, latin, Kosovë                                  |
| sr         | sr-Cyrl-RS   | српски, ћирилица, Србија                              |
| sr-Cyrl    | sr-Cyrl-RS   | српски, ћирилица, Србија                              |
| sr-Cyrl-BA | sr-Cyrl-BA   | српски, ћирилица, Босна и Херцеговина                 |
| sr-Cyrl-ME | sr-Cyrl-ME   | српски, ћирилица, Црна Гора                           |
| sr-Cyrl-XK | sr-Cyrl-XK   | српски, ћирилица, Косово                              |
| sr-Latn    | sr-Latn-RS   | srpski, latinica, Srbija                              |
| sr-Latn-BA | sr-Latn-BA   | srpski, latinica, Bosna i Hercegovina                 |
| sr-Latn-ME | sr-Latn-ME   | srpski, latinica, Crna Gora                           |
| sr-Latn-XK | sr-Latn-XK   | srpski, latinica, Kosovo                              |
| su         | su-Latn-ID   | Basa Sunda, Latin, Indonesia                          |
| su-Latn    | su-Latn-ID   | Basa Sunda, Latin, Indonesia                          |
| sv         | sv-Latn-SE   | svenska, latinska, Sverige                            |
| sv-AX      | sv-Latn-AX   | svenska, latinska, Åland                              |
| sv-FI      | sv-Latn-FI   | svenska, latinska, Finland                            |
| sw         | sw-Latn-TZ   | Kiswahili, Kilatini, Tanzania                         |
| sw-CD      | sw-Latn-CD   | Kiswahili, Kilatini, Jamhuri ya Kidemokrasia ya Kongo |
| sw-KE      | sw-Latn-KE   | Kiswahili, Kilatini, Kenya                            |
| sw-UG      | sw-Latn-UG   | Kiswahili, Kilatini, Uganda                           |
| ta         | ta-Taml-IN   | தமிழ், தமிழ், இந்தியா                                 |
| ta-LK      | ta-Taml-LK   | தமிழ், தமிழ், இலங்கை                                  |
| ta-MY      | ta-Taml-MY   | தமிழ், தமிழ், மலேசியா                                 |
| ta-SG      | ta-Taml-SG   | தமிழ், தமிழ், சிங்கப்பூர்                             |
| te         | te-Telu-IN   | తెలుగు, తెలుగు, భారతదేశం                              |
| teo        | teo-Latn-UG  | Kiteso, Latn, Uganda                                  |
| teo-KE     | teo-Latn-KE  | Kiteso, Latn, Kenia                                   |
| tg         | tg-Cyrl-TJ   | тоҷикӣ, Кириллӣ, Тоҷикистон                           |
| th         | th-Thai-TH   | ไทย, ไทย, ไทย                                         |
| ti         | ti-Ethi-ET   | ትግርኛ, ፊደል, ኢትዮጵያ                                      |
| ti-ER      | ti-Ethi-ER   | ትግርኛ, ፊደል, ኤርትራ                                       |
| tk         | tk-Latn-TM   | türkmen dili, Latyn elipbiýi, Türkmenistan            |
| to         | to-Latn-TO   | lea fakatonga, tohinima fakalatina, Tonga             |
| tok        | tok-Latn-001 | Toki Pona, Latn, 001                                  |
| tr         | tr-Latn-TR   | Türkçe, Latin, Türkiye                                |
| tr-CY      | tr-Latn-CY   | Türkçe, Latin, Kıbrıs                                 |
| tt         | tt-Cyrl-RU   | татар, кирилл, Россия                                 |
| twq        | twq-Latn-NE  | Tasawaq senni, Latn, Nižer                            |
| tzm        | tzm-Latn-MA  | Tamaziɣt n laṭlaṣ, Latn, Meṛṛuk                       |
| ug         | ug-Arab-CN   | ئۇيغۇرچە, ئەرەب, جۇڭگو                                |
| uk         | uk-Cyrl-UA   | українська, кирилиця, Україна                         |
| und        | und-Latn-US  | undefined -> English                                  |
| ur         | ur-Arab-PK   | اردو, عربی, پاکستان                                   |
| ur-IN      | ur-Arab-IN   | اردو, عربی, بھارت                                     |
| uz         | uz-Latn-UZ   | o‘zbek, lotin, Oʻzbekiston                            |
| uz-Arab    | uz-Arab-AF   | اوزبیک, عربی, افغانستان                               |
| uz-Cyrl    | uz-Cyrl-UZ   | ўзбекча, Кирил, Ўзбекистон                            |
| uz-Latn    | uz-Latn-UZ   | o‘zbek, lotin, Oʻzbekiston                            |
| vai        | vai-Vaii-LR  | ꕙꔤ, Vaii, ꕞꔤꔫꕩ                                        |
| vai-Latn   | vai-Latn-LR  | Vai, Latn, Laibhiya                                   |
| vai-Vaii   | vai-Vaii-LR  | ꕙꔤ, Vaii, ꕞꔤꔫꕩ                                        |
| vi         | vi-Latn-VN   | Tiếng Việt, Chữ La tinh, Việt Nam                     |
| vun        | vun-Latn-TZ  | Kyivunjo, Latn, Tanzania                              |
| wae        | wae-Latn-CH  | Walser, Latiniš, Schwiz                               |
| wo         | wo-Latn-SN   | Wolof, Latin, Senegaal                                |
| xh         | xh-Latn-ZA   | IsiXhosa, IsiLatin, EMzantsi Afrika                   |
| xog        | xog-Latn-UG  | Olusoga, Latn, Yuganda                                |
| yav        | yav-Latn-CM  | nuasue, Latn, Kemelún                                 |
| yi         | yi-Hebr-001  | ייִדיש, העברעיש, וועלט                                |
| yo         | yo-Latn-NG   | Èdè Yorùbá, Èdè Látìn, Nàìjíríà                       |
| yo-BJ      | yo-Latn-BJ   | Èdè Yorùbá, Èdè Látìn, Bɛ̀nɛ̀                           |
| yrl        | yrl-Latn-BR  | nheẽgatu, ratĩ, Brasiu                                |
| yrl-CO     | yrl-Latn-CO  | ñengatú, ratĩ, Kurũbiya                               |
| yrl-VE     | yrl-Latn-VE  | ñengatú, ratĩ, Wenesuera                              |
| yue        | yue-Hant-HK  | 粵語, 繁體, 中華人民共和國香港特別行政區              |
| yue-Hans   | yue-Hans-CN  | 粤语, 简体, 中华人民共和国                            |
| yue-Hant   | yue-Hant-HK  | 粵語, 繁體, 中華人民共和國香港特別行政區              |
| zgh        | zgh-Tfng-MA  | ⵜⴰⵎⴰⵣⵉⵖⵜ, Tfng, ⵍⵎⵖⵔⵉⴱ                                |
| zh         | zh-Hans-CN   | 简体中文, 中国                                        |
| zh-Hans    | zh-Hans-CN   | 简体中文, 中国                                        |
| zh-Hans-HK | zh-Hans-HK   | 简体中文, 中国香港特别行政区                          |
| zh-Hans-MO | zh-Hans-MO   | 简体中文, 中国澳门特别行政区                          |
| zh-Hans-SG | zh-Hans-SG   | 简体中文, 新加坡                                      |
| zh-Hant    | zh-Hant-TW   | 正體中文, 中國台灣                                    |
| zh-Hant-HK | zh-Hant-HK   | 繁體中文, 中國香港                                    |
| zh-Hant-MO | zh-Hant-MO   | 繁體中文, 中國澳門                                    |
| zu         | zu-Latn-ZA   | isiZulu, isi-Latin, iNingizimu Afrika                 |
| st         | st-Latn-ZA   |                                                       |
| la         | la-Latn-VA   |                                                       |
| ny         | ny-Latn-MW   |                                                       |
| sm         | sm-Latn-WS   |                                                       |
| jw         | jw-Latn-ID   |                                                       |
| ht         | ht-Latn-HT   |                                                       |
| co         | co-Latn-FR   |                                                       |
